Orxonox: orxonox::SpawnPoint Class Reference

# orxonox::SpawnPoint Class Reference

`#include <src/orxonox/objects/worldentities/SpawnPoint.h>`

Inheritance diagram for orxonox::SpawnPoint:

List of all members.

## Public Member Functions

Identifier * | getSpawnClass () const
Template * | getTemplate () const
void | setSpawnClass (Identifier *identifier)
void | setTemplate (Template *temp)
void | spawn (ControllableEntity *entity)
Pawn * | spawn ()
| SpawnPoint (BaseObject *creator)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~SpawnPoint ()

## Private Member Functions

const std::string & | getSpawnClassName () const
const std::string & | getTemplateName () const
void | setSpawnClassName (const std::string &name)
void | setTemplateName (const std::string &name)

## Private Attributes

SubclassIdentifier< Pawn > | spawnclass_
std::string | spawnclassname_
Template * | template_
std::string | templatename_

## Constructor & Destructor Documentation

orxonox::SpawnPoint::SpawnPoint | ( | BaseObject * | creator | ) |

References COUT, orxonox::BaseObject::getGametype(), RegisterObject, orxonox::Gametype::registerSpawnPoint(), orxonox::Synchronisable::setObjectMode(), and template_.

virtual orxonox::SpawnPoint::~SpawnPoint | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

Identifier* orxonox::SpawnPoint::getSpawnClass | ( |  | ) | const`[inline]`

const std::string& orxonox::SpawnPoint::getSpawnClassName | ( |  | ) | const`[inline, private]`

Referenced by XMLPort().

Template* orxonox::SpawnPoint::getTemplate | ( |  | ) | const`[inline]`

const std::string& orxonox::SpawnPoint::getTemplateName | ( |  | ) | const`[inline, private]`

Referenced by XMLPort().

void orxonox::SpawnPoint::setSpawnClass | ( | Identifier * | identifier | ) | `[inline]`

References orxonox::Identifier::getName().

void orxonox::SpawnPoint::setSpawnClassName | ( | const std::string & | name | ) | `[private]`

References ClassByString, spawnclass_, and spawnclassname_.

Referenced by XMLPort().

void orxonox::SpawnPoint::setTemplate | ( | Template * | temp | ) |

References orxonox::BaseObject::getName(), template_, and templatename_.

void orxonox::SpawnPoint::setTemplateName | ( | const std::string & | name | ) | `[private]`

References orxonox::Template::getTemplate(), template_, and templatename_.

Referenced by XMLPort().

void orxonox::SpawnPoint::spawn | ( | ControllableEntity * | entity | ) |

References orxonox::WorldEntity::getWorldOrientation(), orxonox::WorldEntity::getWorldPosition(), orxonox::ControllableEntity::setOrientation(), and orxonox::ControllableEntity::setPosition().

Pawn * orxonox::SpawnPoint::spawn | ( |  | ) |

References orxonox::BaseObject::addTemplate(), orxonox::BaseObject::fireEvent(), orxonox::BaseObject::getGametype(), orxonox::Gametype::pawnPostSpawn(), orxonox::Gametype::pawnPreSpawn(), orxonox::Pawn::postSpawn(), spawnclass_, and template_.

Referenced by orxonox::Gametype::spawnPlayer(), and orxonox::Gametype::spawnPlayerAsDefaultPawn().

void orxonox::SpawnPoint::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::WorldEntity.

Reimplemented in orxonox::TeamSpawnPoint.

References getSpawnClassName(), getTemplateName(), setSpawnClassName(), setTemplateName(), SUPER, and XMLPortParam.

## Member Data Documentation

SubclassIdentifier<Pawn> orxonox::SpawnPoint::spawnclass_`[private]`

Referenced by setSpawnClassName(), and spawn().

std::string orxonox::SpawnPoint::spawnclassname_`[private]`

Referenced by setSpawnClassName().

Template* orxonox::SpawnPoint::template_`[private]`

Referenced by setTemplate(), setTemplateName(), spawn(), and SpawnPoint().

std::string orxonox::SpawnPoint::templatename_`[private]`

Referenced by setTemplate(), and setTemplateName().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/SpawnPoint.h
- src/orxonox/objects/worldentities/SpawnPoint.cc